--- /dev/null
+#!/bin/bash
+#
+# Calin-Andrei Burloiu, 2010, calin.burloiu@gmail.com
+#
+# This script cuts .mts video file starting from a seek point
+# with a desired duration. Seek point and duration are expressed in
+# seconds or in the hh:mm:ss[.xx] format.
+#
+
+if test $# -ne 4; then
+ echo "Usage: $0 mts-input-file mts-output-file seek-point duration"
+ exit 1
+fi
+
+MTS_IN="$1"
+MTS_OUT="$2"
+SEEK_POINT="$3"
+DURATION="$4"
+FFMPEG=/usr/bin/ffmpeg
+
+if test ! -f "$MTS_IN"; then
+ echo "Error: No such file $MTS_IN"
+ exit 1
+fi
+
+"$FFMPEG" -ss "$SEEK_POINT" -t "$DURATION" -i "$MTS_IN" -f mpegts -acodec copy -vcodec copy "$MTS_OUT"
exit 1
fi
-MTS_FILE=$1
-AVI_FILE=$2
+MTS_FILE="$1"
+AVI_FILE="$2"
FFMPEG=/usr/bin/ffmpeg
-if test ! -f $MTS_FILE; then
- echo "Error: No such file $MTS_FILE"
+if test ! -f "$MTS_FILE"; then
+ echo "Error: No such: file $MTS_FILE"
exit 1
fi
--- /dev/null
+#!/bin/bash
+#
+# Calin-Andrei Burloiu, 2010, calin.burloiu@gmail.com
+#
+# This script converts an MTS file into an WebM file, which
+# contains a V8 video stream and and a Vorbis audio stream.
+#
+
+if test $# -ne 2; then
+ echo "Usage: $0 mts-file avi-file"
+ exit 1
+fi
+
+MTS_FILE="$1"
+AVI_FILE="$2"
+FFMPEG=/usr/bin/ffmpeg
+
+if test ! -f "$MTS_FILE"; then
+ echo "Error: No such file $MTS_FILE"
+ exit 1
+fi
+
+$FFMPEG -i "$MTS_FILE" -f ogg -acodec libvorbis -ab 256k -ar 44100 -ac 2 -vcodec libtheora -b 1400k -r 30 -threads 0 "$AVI_FILE"
+
--- /dev/null
+#!/bin/bash
+#
+# Calin-Andrei Burloiu, 2010, calin.burloiu@gmail.com
+#
+# This script converts an MTS file into an WebM file, which
+# contains a V8 video stream and and a Vorbis audio stream.
+#
+
+if test $# -ne 3; then
+ echo "Usage: $0 mts-file avi-file resolution"
+ exit 1
+fi
+
+MTS_FILE="$1"
+AVI_FILE="$2"
+RESOLUTION="$3"
+FFMPEG=/usr/bin/ffmpeg
+
+if test ! -f "$MTS_FILE"; then
+ echo "Error: No such file $MTS_FILE"
+ exit 1
+fi
+
+$FFMPEG -i "$MTS_FILE" -f ogg -acodec libvorbis -ab 256k -ar 44100 -ac 2 -vcodec libtheora -b 1400k -r 30 -s $RESOLUTION -threads 0 "$AVI_FILE"
+
--- /dev/null
+#!/bin/bash
+#
+# Calin-Andrei Burloiu, 2010, calin.burloiu@gmail.com
+#
+# This script converts an MTS file into an WebM file, which
+# contains a V8 video stream and and a Vorbis audio stream.
+#
+
+if test $# -ne 2; then
+ echo "Usage: $0 mts-file avi-file"
+ exit 1
+fi
+
+MTS_FILE="$1"
+AVI_FILE="$2"
+FFMPEG=/usr/bin/ffmpeg
+
+if test ! -f "$MTS_FILE"; then
+ echo "Error: No such file $MTS_FILE"
+ exit 1
+fi
+
+$FFMPEG -i "$MTS_FILE" -f webm -acodec libvorbis -ab 256k -ar 44100 -ac 2 -vcodec libvpx -b 1400k -r 30 -threads 0 "$AVI_FILE"
+